Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.beans
Class PropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jgoodies.binding.beans.PropertyException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PropertyAccessException, PropertyNotBindableException, PropertyNotFoundException, PropertyUnboundException

    public abstract class PropertyException

extends RuntimeException

A runtime exception that is the abstract superclass for all exceptions around Java Bean properties in the JGoodies Data Binding framework.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch
See Also:
  `PropertyAdapter`, Serialized Form

Constructor Summary
`PropertyException(String message)` Constructs a new exception instance with the specified detail message.
`PropertyException(String message, Throwable cause)` Constructs a new exception instance with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyException

    public PropertyException(String message)

  Constructs a new exception instance with the specified detail message. The cause is not initialized.

  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()`method.

### PropertyException

    public PropertyException(String message,
                             Throwable cause)

  Constructs a new exception instance with the specified detail message and cause.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()`method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()`method). (A`null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.